E invoicing

Create (Or Update) An Invoice Customer

POST
/api/e-invoicing/customers
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/e-invoicing/customers" \  -H "Content-Type: application/json" \  -d '{    "firstName": "John Doe Enterprises",    "lastName": "John Doe Enterprises",    "email": "customer@example.com",    "phone": "+2348098765432",    "country": "Nigeria",    "address": "456 Market Street, Yaba",    "postcode": "023401",    "module": "invoice"  }'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "businessId": "f3f3c6a1-45e3-44aa-b05a-1fbe98d52d09",
  "reference": "CUST_INV_ABC123XYZ456",
  "modules": [
    "invoice"
  ],
  "firstName": "John",
  "lastName": "Doe",
  "email": "customer@example.com",
  "phone": "+2348098765432",
  "tin": "98765432-0001",
  "country": "Nigeria",
  "state": "Lagos",
  "city": "Yaba",
  "address": "456 Market Street, Yaba",
  "postcode": "023401",
  "createdAt": "2024-01-23T10:00:00.000Z",
  "updatedAt": "2024-01-23T10:00:00.000Z"
}
Empty
Empty
Empty

How is this guide?

Last updated on